Bug 167779 - automount fails when mountpoint in auto.misc contain cyrillic letters (KOI8-R)?
automount fails when mountpoint in auto.misc contain cyrillic letters (KOI8-R)?
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Kent
Brock Organ
:
: 167777 167778 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-07 21:30 EDT by CTAC
Modified: 2008-02-12 01:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 01:41:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CTAC 2005-09-07 21:30:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.3.1

Description of problem:
When I name mountpoint in auto.misc with cyrillic letters (KOI8-R), automount fails with following in /var/log/messages
automount[1422]: handle_packet_missing: path to be mounted is to long




Version-Release number of selected component (if applicable):
autofs-4.1.3-114

How reproducible:
Always

Steps to Reproduce:
1.Create mount point in /etc/auto.misc 
����� -fstype=auto :/dev/cdrom
(����� - it's a cyrillic transliteration of latin cdrom :-) )
2. ls /misc/�����

  

Actual Results:  1. ls: /mnt/�����: No such file or directory
2. /var/log/messages :
Sep  8 09:29:00 SukholetSI automount[15577]: handle_packet_missing: path to be mounted is to long



Expected Results:  mounted cd in my drive

Additional info:
Comment 1 CTAC 2005-09-07 21:32:36 EDT
MMMMMMMMMMMM
bugzilla eats all my cyrillic letters, even the encoding of this page is UTF8

Another bug?!
Comment 2 CTAC 2005-09-07 21:39:54 EDT
*** Bug 167777 has been marked as a duplicate of this bug. ***
Comment 3 CTAC 2005-09-07 21:40:47 EDT
*** Bug 167778 has been marked as a duplicate of this bug. ***
Comment 4 CTAC 2005-09-07 21:43:17 EDT
sorry for a duplicates, that whas something with my
mozilla/squid/bugzilla.redhat.com?
It was unable to me to send a bug, may be due to cyrillic letters in messages?
Comment 5 Jeffrey Moyer 2005-09-16 16:45:33 EDT
I'll take a look at this.  Thanks!
Comment 6 Jeffrey Moyer 2005-09-16 17:53:04 EDT
In theory, you should be able to use encodings other than ascii, so long as the
encoding of the shell matches the encoding of the automount map.  It *may* work,
but no guarantees.  (I'll note that I *can't* get it to work).

Is this really posing a problem in your environment?  Do you have a workaround?
 Since no one else has reported this problem, this is kind of low priority for
me.  Let me know if it is a big problem for you, and I'll see what I can do.

Thanks.
Comment 7 CTAC 2005-09-18 21:00:36 EDT
Of course, I've change my mount points to latin names - that was a workaround.
But this is not very usefull.
I think, that it should be not really hard to fix - just change something like
'getstring' in C code to have any type of characters (i.e. not only [0-127] but
[0-255])
And possible, to have mountpoints with UTF8 (default locale for modern RH lunuxes)?
Comment 8 Matthew Miller 2006-07-10 17:38:15 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 9 petrosyan 2008-02-12 01:41:49 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.